# Seedance 2.0 Mini API

> יצירת סרטון Mini Seedance 2.0 בהכוונת עד 9 תמונות, 3 סרטונים ו-3 מקורות שמע

יוצר סרטון מהנחיה וממדיית ייחוס: עד 9 `image_urls`, 3 `video_urls` ו-3 `audio_urls`, המוזכרים בהנחיה כ-@Image1, @Video1, @Audio1 וכן הלאה. הפלט הוא 480p או 720p, auto או 4 עד 15 שניות, עם יחסי גובה-רוחב מ-21:9 עד 9:16. שמע מסונכרן נוצר כברירת מחדל.

- Model id: `bytedance/seedance-2.0/mini/reference-to-video`
- Made by: ByteDance
- Category: Reference to Video
- Output: video
- Price per 1000 tokens: $0.007 / 1000 tokens (cheapest run $0.007 (7 API credits))
- Run: `POST https://api.doitong.ru/v1/run/bytedance/seedance-2.0/mini/reference-to-video`
- Quote: `POST https://api.doitong.ru/v1/quote/bytedance/seedance-2.0/mini/reference-to-video`
- Docs page: https://doitong.com/he/developers/models/bytedance/seedance-2.0/mini/reference-to-video

## Pricing

Price: **$0.007 / 1000 tokens**. Price per 1000 tokens: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $2.321 = 2321 API credits (331.5586 × 1000 tokens × $0.007 (720p)).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/bytedance/seedance-2.0/mini/reference-to-video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | הנחיית טקסט שמכוונת את יצירת הווידאו. |
| `image_urls` | `images` | array of image URL | no |  | ≤ 9 items | הפניות לתמונות להכוונת הווידאו, מוגבלות ל-9 תמונות ולמקסימום של 12 קבצים בכל האופנים. כל תמונה יכולה להיות בגודל של עד 30 MB וחייבת להשתמש ב-JPEG, PNG או WebP. השתמשו ב-@Image1, @Image2 ובתוויות ממוספרות עוקבות כדי לזהות הפניות אלה בהנחיה. |
| `video_urls` | `videos` | array of video URL | no |  | ≤ 3 items | הפניות לווידאו ליצירה, המסופקות כקובצי MP4 או MOV ומזוהות בהנחיה באמצעות @Video1, @Video2 ותוויות ממוספרות עוקבות. לכל קובץ חייבת להיות רזולוציה של בערך 480p (640x640) עד בערך 720p (834x1112). הקבוצה מוגבלת ל-3 סרטוני וידאו בנפח כולל של פחות מ-50 MB, ובמשך כולל של 2–15 שניות. |
| `audio_urls` | `audios` | array of audio URL | no |  | ≤ 3 items | הפניות אודיו להכוונת הווידאו דורשות לפחות הפניה אחת נלווית לתמונה או לווידאו. ספקו קובצי MP3 או WAV בגודל של עד 15 MB כל אחד, עם עד 3 קבצים ומשך כולל של עד 15 שניות. זהו אותם בהנחיה באמצעות @Audio1, @Audio2 ותוויות ממוספרות עוקבות. |
| `resolution` |  | enum (string) | no | `720p` | `480p`, `720p` | רזולוציית פלט: 480p מעדיפה מהירות יצירה, ואילו 720p מציעה בחירה מאוזנת. |
| `duration` |  | enum (string) | no | `auto` | `auto`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15` | בחירת אורך הווידאו: `auto` מוסר את הבחירה למודל באמצעות ההנחיה, ואילו משך מפורש חייב להיות בין 4 ל-15 שניות. |
| `aspect_ratio` |  | enum (string) | no | `auto` | `auto`, `21:9`, `16:9`, `4:3`, `1:1`, `3:4`, `9:16` | יחס ממדי פלט: 16:9 מעניק תצוגת נוף, 9:16 מעניק תצוגת דיוקן/אנכית, 1:1 מעניק ריבוע ו-21:9 מעניק תצוגה קולנועית רחבה במיוחד. בחרו `auto` כדי שהמודל יבחר את היחס. |
| `generate_audio` |  | boolean | no | `true` |  | הפעילו אפשרות זו כדי לצרף לווידאו אודיו מסונכרן. האודיו שנוצר כולל דיבור המותאם לתנועות השפתיים, אווירת סביבה ואפקטים קוליים. |
| `codec` |  | enum (string) | no | `auto` | `auto`, `H264`, `H265` | בחירת קודק הווידאו: `auto` משאירה את התנהגות ברירת המחדל ללא שינוי, `H264` בוחרת ב-H.264 ו-`H265` בוחרת ב-H.265. |
| `end_user_id` |  | string \| null | no |  |  | מזהה ייחודי שהוקצה למשתמש הקצה. |

File parameters (`images`, `videos`, `audios`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bytedance/seedance-2.0/mini/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bytedance/seedance-2.0/mini/reference-to-video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bytedance/seedance-2.0/mini/reference-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "bytedance/seedance-2.0/mini/reference-to-video",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance-2.0/mini/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2321,
    "usd": "2.321",
    "charged": 2321,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | קובץ הווידאו שנוצר. |
| `seed` | integer | ערך Seed המוחל במהלך היצירה. |

## Related models

- [Seedance 2.0 Fast Text to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/fast/text-to-video.md) (`bytedance/seedance-2.0/fast/text-to-video`): from $0.113 / second
- [Seedance 2.0 Mini Text to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/mini/text-to-video.md) (`bytedance/seedance-2.0/mini/text-to-video`): from $0.0721 / second
- [Seedance 2.0 Text to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/text-to-video.md) (`bytedance/seedance-2.0/text-to-video`): from $0.141 / second
- [Seedance 2.0 Fast Image to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/fast/image-to-video.md) (`bytedance/seedance-2.0/fast/image-to-video`): from $0.113 / second
- [Seedance 2.0 Image to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/image-to-video.md) (`bytedance/seedance-2.0/image-to-video`): from $0.141 / second
- [Seedance 2.0 Mini Image to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/mini/image-to-video.md) (`bytedance/seedance-2.0/mini/image-to-video`): from $0.0721 / second
- [Seedance 2.0 Fast Reference to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/fast/reference-to-video.md) (`bytedance/seedance-2.0/fast/reference-to-video`): from $0.113 / second
- [Seedance 2.0 Reference to Video](https://doitong.com/developers/models/bytedance/seedance-2.0/reference-to-video.md) (`bytedance/seedance-2.0/reference-to-video`): from $0.141 / second

## Links

- HTML page: https://doitong.com/developers/models/bytedance/seedance-2.0/mini/reference-to-video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=bytedance/seedance-2.0/mini/reference-to-video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/bytedance/seedance-2.0/mini/reference-to-video
